Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class TokenMarker

    java.lang.Object
      org.gjt.sp.jedit.syntax.TokenMarker

public class TokenMarker
extends java.lang.Object

A token marker splits lines of text into tokens. Each token carries a length field and an identification tag that can be mapped to a color or font style for painting that token.

Version:
  $Id: TokenMarker.java,v 1.62 2003/12/27 05:14:46 spestov Exp $
Author:
  Slava Pestov, mike dillon
See Also:
  `Token`, `TokenHandler`

Nested Class Summary
`static class` | `TokenMarker.LineContext` Stores persistent per-line syntax parser state.

Constructor Summary
`TokenMarker()`

Method Summary
`void` | `addRuleSet(ParserRuleSet rules)`
`ParserRuleSet` | `getMainRuleSet()`
`ParserRuleSet` | `getRuleSet(java.lang.String setName)`
`ParserRuleSet[]` | `getRuleSets()`
`TokenMarker.LineContext` | `markTokens(TokenMarker.LineContext prevContext, TokenHandler tokenHandler, javax.swing.text.Segment line)` Do not call this method directly; call Buffer.markTokens() instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenMarker

    public TokenMarker()

Method Detail

### addRuleSet

    public void addRuleSet(ParserRuleSet rules)

### getMainRuleSet

    public ParserRuleSet getMainRuleSet()

### getRuleSet

    public ParserRuleSet getRuleSet(java.lang.String setName)

### getRuleSets

    public ParserRuleSet[] getRuleSets()

  Since:
    jEdit 4.2pre3

### markTokens

    public TokenMarker.LineContext markTokens(TokenMarker.LineContext prevContext,
                                              TokenHandler tokenHandler,
                                              javax.swing.text.Segment line)

  Do not call this method directly; call Buffer.markTokens() instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD